Loading...
Searching...
No Matches
bit128 Union Reference

`#include <include/volk/volk_common.h>`

## Data Fields

uint8_t | i8 [16]
uint16_t | i16 [8]
uint32_t | i [4]
float | f [4]
double | d [2]
__m128 | float_vec
__m128i | int_vec
__m128d | double_vec

## Field Documentation

## d

double bit128::d[2]

## double_vec

__m128d bit128::double_vec

## f

float bit128::f[4]

## float_vec

__m128 bit128::float_vec

## i

uint32_t bit128::i[4]

## i16

uint16_t bit128::i16[8]

## i8

uint8_t bit128::i8[16]

## int_vec

__m128i bit128::int_vec